Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03679 Sound Minor Always Jan 23, 2010, 15:14 Apr 23, 2019, 21:07
Tester -Misc Reporters- View Status Public Platform MAME (Self-compiled)
Assigned To couriersud Resolution Fixed OS
Status [?] Resolved Driver mario.cpp
Version 0.136u1 Fixed in Version Build
Summary 03679: mario + clones using discrete audio: Walking/Running sound is incorrectly filtered
Description Since the Filter was added, the normally 'squeaky' sound of mario's run sound has been altered.
Steps To Reproduce
Additional Information Reference recording from 1983 (courtesy of coinopvideogames) is attached

From post by ahofle:
http://www.mameworld.info/ubbthreads/showthreaded.php?Cat=&Number=211941
Flags
Regression Version 0.134u3
Affected Sets / Systems mario + clones using discrete audio
Attached Files
mp3 file icon 41-mariobros.mp3 (3,061,241 bytes) Jan 23, 2010, 15:14
Relationships
has duplicate 04123Closed marioj: Sound Seems Wrong In Mario Brothers 
Notes
4
User avatar
No.06853
Tafoid
Administrator
Nov 9, 2010, 20:16
Just a note that this is improved for 0.140u1, but not perfect yet.
User avatar
No.09028
hap
Developer
Oct 18, 2012, 18:36
All the caps/resistors should be good on mario's running sound. I did notice that if you replace MR_C6 CAP_N(3.9) to 39 (like luigi's running sound), it will sound more like "wip wip wip" like in the attachment. But placing that capacitor there is wrong according to schematics.

FWIW here's another recording. It doesn't sound like the attachment, but doesn't sound like MAME either. :P (btw the the running sound circuit is not related to the missing music)
User avatar
No.09035
NekoEd
Senior Tester
Oct 18, 2012, 23:21
I'd imagine that the tolerances on those components probably wasn't too tight to begin with, and with age they go further out of spec. MAME should use the the values in the schematics or marked on the components from an original board. But given that each physical component is going to potentially age differently, not to mention start out differently, it could lead to wide swings in sound between various boards of the same game with supposedly the same components. (Particularly those electrolytic capacitors, they tend to leak or dry out over time and that significantly messes up their value.)
User avatar
No.16360
couriersud
Developer
Apr 23, 2019, 20:07
We should close this now. Mario has netlist sound now for a long time.